Package org.eclipse.equinox.http.servlet.session

# Interface HttpSessionInvalidator

public interface HttpSessionInvalidator
The Http Whiteboard runtime registers a service of this type to allow an external actor to invalidate a session. This requirement is typical of the bridge deployment scenario where the host may need to control session invalidation.

Note: This class is part of an interim SPI that is still under development and expected to change significantly before reaching stability. It is being made available at this stage to solicit feedback from pioneering adopters on the understanding that any code that uses this SPI will almost certainly be broken (repeatedly) as the SPI evolves.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`void`
`invalidate(String sessionId, boolean invalidateParent)`
Invalidate a session.

## Method Details

### invalidate

void invalidate(String sessionId, boolean invalidateParent)
Invalidate a session. If no session matching the id is found, nothing happens. Optionally attempt to invalidate the parent (container) session.

Parameters:
  `sessionId` - the session id to invalidate
  `invalidateParent` - if true, attempt to invalidate the parent (container) session